Companies
Get a company org chart
Read a company's org chart: the members who are unarchived and still have a current role at the company, ordered by name, each with `is_champion` and `manager_contact_id`. The manager is the contact's
GET /v2/companies/{companyId}/org-chart
Parameters
Path parameters
companyId
string (uuid) required
Responses
200 — Successful response
Content-Type: application/json
data
object required
data.org_chart
object required
data.org_chart.company_id
string (uuid) required
data.org_chart.members
array<object> required
data.org_chart.members[].contact_id
string (uuid) required
data.org_chart.members[].is_champion
boolean required
data.org_chart.members[].manager_contact_id
string (uuid) | null required
Example
{
"data": {
"org_chart": {
"company_id": "00000000-0000-0000-0000-000000000000",
"members": [
{
"contact_id": "00000000-0000-0000-0000-000000000000",
"is_champion": false,
"manager_contact_id": "00000000-0000-0000-0000-000000000000"
}
]
}
}
}
400 — Request body failed validation.
Content-Type: application/json
(body)
any
401 — Missing or invalid API key.
Content-Type: application/json
(body)
any
403 — Valid key, insufficient permission.
Content-Type: application/json
(body)
any
404 — Resource does not exist.
Content-Type: application/json
(body)
any
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
(body)
any
429 — Rate limit exceeded.
Content-Type: application/json
(body)
any
500 — Unexpected server error.
Content-Type: application/json
(body)
any
Code samples
curl https://api.prod.getdex.com/v2/companies/00000000-0000-0000-0000-000000000000/org-chart \
--header 'Authorization: Bearer YOUR_API_KEY'
fetch('https://api.prod.getdex.com/v2/companies/00000000-0000-0000-0000-000000000000/org-chart', {
headers: {
Authorization: 'Bearer YOUR_API_KEY'
}
})
requests.get(
"https://api.prod.getdex.com/v2/companies/00000000-0000-0000-0000-000000000000/org-chart",
headers={
"Authorization": "Bearer YOUR_API_KEY"
}
)
Set the company of contacts
Make a company the current company of many contacts (bulk "Set company"). Send exactly one selector: `contact_ids` (up to 500), or `filters` (the `where` object `POST /v2/contacts/filter` takes in a w
Add contacts to a company org chart
Put up to 100 contacts (`contact_ids`) on a company's org chart. Each must be a contact of the workspace (400 `invalid_reference` otherwise), unarchived and with a current role at the company (422 `or

